# ThrowingConsumer<T> typedef

ThrowingConsumer<T> = void Function(T value)

A consumer function that can throw exceptions.

Used for operations that may fail and need to propagate exceptions.

### Type Parameters:

- `T`: The type of value being consumed

### Example:

    ThrowingConsumer<String> consumer = (value) {
      if (value.isEmpty) {
        throw ArgumentError('Value cannot be empty');
      }
      print(value);
    };

## Implementation

    typedef ThrowingConsumer<T> = void Function(T value);